GET /api/fleet/agent_policies/{agentPolicyId}/auto_upgrade_agents_status

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/agent_policies/{agentPolicyId}/auto_upgrade_agents_status

Refer to Spaces for more information.

Get the auto-upgrade status for agents assigned to an agent policy.

[Required authorization] Route required privileges: fleet-agents-read.

Path parameters

  • agentPolicyId string Required

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • currentVersions array[object] Required

      Not more than 10000 elements.

      Hide currentVersions attributes Show currentVersions attributes object
      • agents number Required

        Number of agents that upgraded to this version

      • failedUpgradeActionIds array[string]

        List of action IDs related to failed upgrades

        Not more than 1000 elements.

      • failedUpgradeAgents number Required

        Number of agents that failed to upgrade to this version

      • inProgressUpgradeActionIds array[string]

        List of action IDs related to in-progress upgrades

        Not more than 1000 elements.

      • inProgressUpgradeAgents number Required

        Number of agents that are upgrading to this version

      • version string Required

        Agent version

    • totalAgents number Required
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
GET /api/fleet/agent_policies/{agentPolicyId}/auto_upgrade_agents_status
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/agent_policies/{agentPolicyId}/auto_upgrade_agents_status' \
 --header "Authorization: $API_KEY"
Response examples (200)
Auto-upgrade status for agents in the policy
{
  "agentsCount": 5,
  "currentVersion": "8.16.0",
  "failedAgentsCount": 0,
  "upgradedAgentsCount": 3,
  "upgradingAgentsCount": 1
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}